import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class RRTAgreementPage extends StatelessWidget{
  TranslationBase localize;

  @override
  Widget build(BuildContext context) {
    localize = TranslationBase.of(context);

    return AppScaffold(
        appBarTitle: localize.userAgreement,
        isShowAppBar: true,
        showHomeAppBarIcon: false,
        body: SingleChildScrollView(
          padding: EdgeInsets.all(20),
          child: Column(
            children: [
              Text(localize.rrtUserAgreementTitle, style: TextStyle(color: Colors.black, fontWeight: FontWeight.w500, fontSize: 22), maxLines: 100, textAlign: TextAlign.center),
              SizedBox(height: 20),
              text(localize.rrtUserAgreementP1),
              text(localize.rrtUserAgreementP2),
              text(localize.rrtUserAgreementP3)
            ],
          ),
        )
    );
  }

  Widget text(String string)=> Padding(
    padding: const EdgeInsets.symmetric(vertical: 15),
    child: Row(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Container(
            clipBehavior: Clip.hardEdge,
            width: 10, height: 10,
            decoration: BoxDecoration(borderRadius: BorderRadius.circular(20), color: Colors.black)
        ),
        SizedBox(width: 20),
        Expanded(child: Text(string, style: TextStyle(color: Colors.black87, fontSize: 18), maxLines: 100, textAlign: TextAlign.justify)),
      ],
    ),
  );

}